@import "../../styles/colors.scss";
@import "../../styles/fonts.scss";
@import "../../styles/responsive.scss";

.DreamForm {
  padding-bottom: 6rem;
  max-width: 90%;
  &__fieldset {
    border-style: none;
    padding: 0;
    padding-bottom: 0.8rem;
    margin: 0 auto;
    &__textarea {
      width: 100%;
      height: 26vh;
      color: $primaryColor;
      background-color: $fourthColor;
      border: 1px solid $primaryColor;
      padding: 0.5rem;
      border-radius: 0.2rem;
      font-family: $bodyFont;
      &::placeholder {
        color: $primaryColor;
      }
    }
  }
  &__btn-container {
    display: flex;
    flex-direction: row;
    align-items: center;
  }
  &__btn {
    border-style: none;
    padding: 0.5rem 1rem;
    border-radius: 3px;
    margin-right: 0.25rem;
    background-color: $primaryColor;
    color: $secondaryColor;
    font-size: 0.9rem;
    font-family: $bodyFont;
    &:hover {
      background-color: $thirdColor;
      color: $primaryColor;
    }
    &--cancel {
      background-color: $secondaryColor;
      color: $primaryColor;

      &:hover {
        border: 1px solid $primaryColor;
        background-color: transparent;
      }
    }
    &__link {
      text-decoration: none;
      color: $primaryColor;
    }
  }
}
